"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function getScrollPosition() {
    return { x: window.pageXOffset, y: window.pageYOffset };
}
function useScrollPosition() {
    var _a = react_1.useState(getScrollPosition()), position = _a[0], setScrollPosition = _a[1];
    react_1.useEffect(function () {
        var requestRunning = null;
        function handleScroll() {
            if (requestRunning === null) {
                requestRunning = window.requestAnimationFrame(function () {
                    setScrollPosition(getScrollPosition());
                    requestRunning = null;
                });
            }
        }
        window.addEventListener('scroll', handleScroll);
        return function () { return window.removeEventListener('scroll', handleScroll); };
    }, []);
    return position;
}
exports.useScrollPosition = useScrollPosition;
function useScrollXPosition() {
    var x = useScrollPosition().x;
    return x;
}
exports.useScrollXPosition = useScrollXPosition;
function useScrollYPosition() {
    var y = useScrollPosition().y;
    return y;
}
exports.useScrollYPosition = useScrollYPosition;
